Package org.silverpeas.components.whitepages.service

## Class MixedSearchServiceImpl

- java.lang.Object
- - org.silverpeas.components.whitepages.service.MixedSearchServiceImpl

- All Implemented Interfaces:
    `MixedSearchService`

      @Service
      public class MixedSearchServiceImpl
      extends Object
      implements MixedSearchService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MixedSearchServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.silverpeas.core.index.search.model.SearchResult>` | `search​(String componentId, String userId, String queryString, String taxonomyPosition, Map<String,​String> xmlFields, String xmlTemplate, List<org.silverpeas.core.index.indexing.model.FieldDescription> fieldsQuery, String language)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MixedSearchServiceImpl

          public MixedSearchServiceImpl()

  - ### Method Detail

    - #### search

          public List<org.silverpeas.core.index.search.model.SearchResult> search​(String componentId,
                                                                                  String userId,
                                                                                  String queryString,
                                                                                  String taxonomyPosition,
                                                                                  Map<String,​String> xmlFields,
                                                                                  String xmlTemplate,
                                                                                  List<org.silverpeas.core.index.indexing.model.FieldDescription> fieldsQuery,
                                                                                  String language)
                                                                           throws Exception

      Specified by:
        `search` in interface `MixedSearchService`
      Parameters:
        `componentId` - the component instance identifier
        `userId` - the user identifier
        `queryString` - standard search
        `taxonomyPosition` - PDC filter
        `xmlFields` - xml fields filter
        `xmlTemplate` - xml template filter
        `fieldsQuery` - ldap and silverpeas fields filter
      Returns:
        a List of SearchResult
      Throws:
        `Exception`